Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
prototype-rails with latest Rails error
[andrey-mbp ~/projects/rails/alt12-site rails3]$ rails s
WARNING: Nokogiri was built against LibXML version 2.7.7, but has dynamically loaded 2.7.3
=> Booting Mongrel
=> Rails 3.1.0.rc2 application starting in development on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
Exiting
/Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/actionpack-3.1.0.rc2/lib/action_dispatch/testing/assertions.rb:14:in `<module:Assertions>': uninitialized constant ActionDispatch::Assertions::SelectorAssertions (NameError)
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/actionpack-3.1.0.rc2/lib/action_dispatch/testing/assertions.rb:2:in `<module:ActionDispatch>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/actionpack-3.1.0.rc2/lib/action_dispatch/testing/assertions.rb:1:in `<top (required)>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/actionpack-3.1.0.rc2/lib/action_dispatch/testing/assertions/selector.rb:10:in `<module:ActionDispatch>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/actionpack-3.1.0.rc2/lib/action_dispatch/testing/assertions/selector.rb:9:in `<top (required)>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/prototype-rails-0.3.1/lib/prototype-rails/selector_assertions.rb:2:in `<top (required)>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/prototype-rails-0.3.1/lib/prototype-rails/on_load_action_controller.rb:1:in `<top (required)>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/prototype-rails-0.3.1/lib/prototype-rails.rb:8:in `block (2 levels) in <class:Engine>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/activesupport-3.1.0.rc2/lib/active_support/lazy_load_hooks.rb:36:in `instance_eval'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/activesupport-3.1.0.rc2/lib/active_support/lazy_load_hooks.rb:36:in `execute_hook'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/activesupport-3.1.0.rc2/lib/active_support/lazy_load_hooks.rb:26:in `on_load'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/prototype-rails-0.3.1/lib/prototype-rails.rb:7:in `block in <class:Engine>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/initializable.rb:25:in `instance_exec'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/initializable.rb:25:in `run'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/initializable.rb:50:in `block in run_initializers'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/initializable.rb:49:in `each'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/initializable.rb:49:in `run_initializers'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/application.rb:96:in `initialize!'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/railtie/configurable.rb:30:in `method_missing'
from /Users/akhkharu/projects/rails/alt12-site/config/environment.rb:5:in `<top (required)>'
from /Users/akhkharu/projects/rails/alt12-site/config.ru:4:in `block in <main>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/rack-1.3.0/lib/rack/builder.rb:51:in `instance_eval'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/rack-1.3.0/lib/rack/builder.rb:51:in `initialize'
from /Users/akhkharu/projects/rails/alt12-site/config.ru:1:in `new'
from /Users/akhkharu/projects/rails/alt12-site/config.ru:1:in `<main>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/rack-1.3.0/lib/rack/builder.rb:40:in `eval'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/rack-1.3.0/lib/rack/builder.rb:40:in `parse_file'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/rack-1.3.0/lib/rack/server.rb:200:in `app'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/commands/server.rb:46:in `app'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/rack-1.3.0/lib/rack/server.rb:301:in `wrapped_app'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/rack-1.3.0/lib/rack/server.rb:252:in `start'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/commands/server.rb:70:in `start'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/commands.rb:54:in `block in <top (required)>'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/commands.rb:49:in `tap'
from /Users/akhkharu/.rvm/gems/ruby-1.9.2-head@alt12/gems/railties-3.1.0.rc2/lib/rails/commands.rb:49:in `<top (required)>'
from script/rails:6:in `require'
from script/rails:6:in `<main>'
@bfolkens

This comment has been minimized.

Copy link

commented Jun 9, 2011

Did you ever figure this out? I got hit with this one too...

@andreychernih

This comment has been minimized.

Copy link
Owner Author

commented Jun 9, 2011

Nope, I have not. The ticket I've opened:

rails/prototype-rails#2

@bfolkens

This comment has been minimized.

Copy link

commented Jun 9, 2011

Cool tnx :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.